$BEGIN X2X VERSION="1.0.0"$
$TYPE
::Scheduler = ::SEQUENCE{ 
	'Includes:' 
		::OPTION{ INCLUDE::LIST{ FILE_NAME::IDENTIFIER '.h' } }
	'Base:' 
		BASECYCLE::INTEGER DIMENSION::CHOICE{ 'ms' 's' }
	::OPTION{ 
	'Main:' 
		MAINCYCLES::LIST{ FACTOR::INTEGER POWER2_ONE::BOOL POWER2_OTHER::BOOL} } 
	'Pre:' 
		::OPTION{ PRE::LIST{ NAME::IDENTIFIER '(' PARAM::STREAM{ ')' }}}
	'Post:' 
		::OPTION{ POST::LIST{ NAME::IDENTIFIER '(' PARAM::STREAM{ ')' }}}
	'Timeslice:' 
		TIMESLICE::LIST{ CYCLE::INTEGER DIMENSION::CHOICE{ 'ms' 's' } ::OPTION{ '.' CYCLE_DEZ::INTEGER } ::OPTION{ MAIN::INTEGER POWER2::INTEGER} ':' ::OPTION{ FUNCTION::LIST{ NAME::IDENTIFIER '(' ')'}}
	}
   
}
 
$

$/*
First all #include files are given and next timeslices are defined and configured.

A task is cyclic called every nn millisecond. Additional a cyclic base task is given, that is called every mm millisecond.
nn  must be devidable by mm. You have to compute ::xx = nn / mm and do a prim factor factorisaton. Next XX
becomes splitted into a power of two and the reamining socalled main factor.
For example ::nn = 60, mm=3 => ::xx = 10  = 5*2*2 = 5*4.

Do this for all tasks and collect the main factors.

Within the list MAINCYCLES::LIST all main factors must be given (once). 1 as main factor is allowed.

*/$
$END X2X VERSION="1.0.0"$







